Subject: bug#43177: Bug: Emacs 27.1 hangs forever in `FcCharSetSubtractCount' from '/usr/lib/libfontconfig.so.1'

From: Robert Pluim <[email-masked]>
Date: Thu, 03 Sep 2020 14:43:34 +0200

>>>>> On Thu, 3 Sep 2020 14:28:58 +0200, Alexander Shukaev <[email-masked]> said:

    Alexander> On 03/09/2020 14:13, Robert Pluim wrote:
    >>>>>>> On Thu, 3 Sep 2020 12:24:30 +0200, Alexander Shukaev <[email-masked]> said:
    Alexander> The only related font configurations that I can
    >> think of are the following:
    Alexander> With what I consistently get output
    Alexander> Font: ‘Consolas-12’
    Alexander> for several years already on various Linux systems
    >> that I'm using so far.
    >> OK. Is this happening on particular files? Is it possible they have
    >> esoteric Unicode characters in them?
    >> One other thing: do you have Symbola installed? Thatʼs the default
    >> fallback font Emacs uses for symbols, if itʼs not found it needs to
    >> search harder.
    >> Robert
    >> 

    Alexander> That file is indeed special because it has some Unicode:

    Alexander> ꪯ鵞

tai-viet and han scripts. My GNU/Linux build uses 'Noto Sans Tai Viet'
for the one, and 'Noto Sans CJK KR' for the other (both via the ftcr
backend), and thereʼs no slowdown. (you can use C-u C-x = to check).

    Alexander> Symbola was there, though outdated, I just updated it.  Not sure if
    Alexander> it's related, but now that file loads somewhat faster, under 10
    Alexander> seconds roughly.

I guess that depends if you have characters in there that are covered
by Symbola.

Robert